# StageLogGetClassRegLog

This function returns the ClassRegLog for the given stage.

### Synopsis

    #include "petsc.h"
    PetscErrorCode PETSC_DLLEXPORT StageLogGetClassRegLog(StageLog stageLog, ClassRegLog *classLog)

Not Collective

### Input Parameters

stageLog -The StageLog

### Output Parameter

classLog -The ClassRegLog

### Keywords

log, stage

### See Also

StageLogPush(), StageLogPop(), PetscLogGetStageLog()

Level:intermediate
Location: src/sys/plog/utils/stageLog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages